import 'package:didvan/views/widgets/ink_wrapper.dart';
import 'package:flutter/material.dart';

class DidvanIconButton extends StatelessWidget {
  final IconData icon;
  final Color? color;
  final Color? backgroundColor;
  final double? size;
  final double? gestureSize;
  final VoidCallback onPressed;
  const DidvanIconButton({
    Key? key,
    required this.icon,
    required this.onPressed,
    this.color,
    this.size,
    this.gestureSize,
    this.backgroundColor,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return InkWrapper(
      onPressed: onPressed,
      borderRadius: BorderRadius.circular(200),
      child: Container(
        decoration: BoxDecoration(
          color: backgroundColor,
          shape: BoxShape.circle,
        ),
        height: gestureSize ?? 48,
        width: gestureSize ?? 48,
        child: Icon(
          icon,
          size: size,
          color: color,
        ),
      ),
    );
  }
}
